<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__smif__macros__cmd" kind="group">
    <compoundname>group_smif_macros_cmd</compoundname>
    <title>Command Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__smif__macros__cmd_1ga96754de088fc3a852e9a9ba77ecc0be3" kind="define" prot="public" static="no">
        <name>CY_SMIF_CMD_WITHOUT_PARAM</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>No parameter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="62" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="62" />
      </memberdef>
      <memberdef id="group__group__smif__macros__cmd_1ga863f13f79837558303a23e4e95742489" kind="define" prot="public" static="no">
        <name>CY_SMIF_TX_LAST_BYTE</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>The last byte in the command transmission (SS is set high after the transmission) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="63" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="65" />
      </memberdef>
      <memberdef id="group__group__smif__macros__cmd_1ga15ddac069a53ebe45e72c7507c002038" kind="define" prot="public" static="no">
        <name>CY_SMIF_TX_NOT_LAST_BYTE</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Not the last byte in the command transmission (SS remains low after the transmission) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="68" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="68" />
      </memberdef>
      <memberdef id="group__group__smif__macros__cmd_1ga4b9e0541f17f57a423d3549f5bdc3cf2" kind="define" prot="public" static="no">
        <name>CY_SMIF_READ_ONE_BYTE</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Read 1 byte. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="73" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="69" />
      </memberdef>
      <memberdef id="group__group__smif__macros__cmd_1ga6c42a314644a2139d5161b4a4b3525e1" kind="define" prot="public" static="no">
        <name>CY_SMIF_WRITE_ONE_BYTE</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Write 1 byte. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="74" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="70" />
      </memberdef>
      <memberdef id="group__group__smif__macros__cmd_1ga6d0afdccdd10e694fb1986b083b19d5f" kind="define" prot="public" static="no">
        <name>CY_SMIF_WRITE_TWO_BYTES</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>Write 2 bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="75" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="71" />
      </memberdef>
      <memberdef id="group__group__smif__macros__cmd_1ga4afe5275380ea7b9b3aac1f6141b0a71" kind="define" prot="public" static="no">
        <name>CY_SMIF_ONE_WORD</name>
        <initializer>(4U)</initializer>
        <briefdescription>
<para>4 bytes </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="76" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="72" />
      </memberdef>
      <memberdef id="group__group__smif__macros__cmd_1gaa4dc9e8c4a11fc975470546ca7bf4fba" kind="define" prot="public" static="no">
        <name>CY_SMIF_DUAL_QUAD_DISABLED</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>The dual quad transmission mode is disabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="78" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="74" />
      </memberdef>
      <memberdef id="group__group__smif__macros__cmd_1ga6163df3fd4b515d17a1ca120221793b1" kind="define" prot="public" static="no">
        <name>CY_SMIF_DUAL_QUAD_ENABLED</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>The dual quad transmission mode is enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="79" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="75" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>